## trafficserver 5.3.0

=== lib/luajit/Makefile ===
##############################################################################
# LuaJIT top level Makefile for installation. Requires GNU Make.
#
# Please read doc/install.html before changing any variables!
#
# Suitable for POSIX platforms (Linux, *BSD, OSX etc.).
# Note: src/Makefile has many more configurable options.
#
# ##### This Makefile is NOT useful for Windows! #####
# For MSVC, please follow the instructions given in src/msvcbuild.bat.
# For MinGW and Cygwin, cd to src and run make with the Makefile there.
#
# Copyright (C) 2005-2014 Mike Pall. See Copyright Notice in luajit.h
##############################################################################

MAJVER=  2
MINVER=  0
RELVER=  3
VERSION= $(MAJVER).$(MINVER).$(RELVER)
ABIVER=  5.1

##############################################################################
#
# Change the installation path as needed. This automatically adjusts
# the paths in src/luaconf.h, too. Note: PREFIX must be an absolute path!
#
export PREFIX= /usr/local
export MULTILIB= lib
##############################################################################

DPREFIX= $(DESTDIR)$(PREFIX)
INSTALL_BIN=   $(DPREFIX)/bin
INSTALL_LIB=   $(DPREFIX)/$(MULTILIB)
INSTALL_SHARE= $(DPREFIX)/share
INSTALL_INC=   $(DPREFIX)/include/luajit-$(MAJVER).$(MINVER)

INSTALL_LJLIBD= $(INSTALL_SHARE)/luajit-$(VERSION)
INSTALL_JITLIB= $(INSTALL_LJLIBD)/jit
INSTALL_LMODD= $(INSTALL_SHARE)/lua
INSTALL_LMOD= $(INSTALL_LMODD)/$(ABIVER)
INSTALL_CMODD= $(INSTALL_LIB)/lua
INSTALL_CMOD= $(INSTALL_CMODD)/$(ABIVER)
INSTALL_MAN= $(INSTALL_SHARE)/man/man1
INSTALL_PKGCONFIG= $(INSTALL_LIB)/pkgconfig

INSTALL_TNAME= luajit-$(VERSION)
INSTALL_TSYMNAME= luajit
INSTALL_ANAME= libluajit-$(ABIVER).a
INSTALL_SONAME= libluajit-$(ABIVER).so.$(MAJVER).$(MINVER).$(RELVER)
INSTALL_SOSHORT= libluajit-$(ABIVER).so
INSTALL_DYLIBNAME= libluajit-$(ABIVER).$(MAJVER).$(MINVER).$(RELVER).dylib
INSTALL_DYLIBSHORT1= libluajit-$(ABIVER).dylib
INSTALL_DYLIBSHORT2= libluajit-$(ABIVER).$(MAJVER).dylib
INSTALL_PCNAME= luajit.pc

INSTALL_STATIC= $(INSTALL_LIB)/$(INSTALL_ANAME)
INSTALL_DYN= $(INSTALL_LIB)/$(INSTALL_SONAME)
INSTALL_SHORT1= $(INSTALL_LIB)/$(INSTALL_SOSHORT)
INSTALL_SHORT2= $(INSTALL_LIB)/$(INSTALL_SOSHORT)
INSTALL_T= $(INSTALL_BIN)/$(INSTALL_TNAME)
INSTALL_TSYM= $(INSTALL_BIN)/$(INSTALL_TSYMNAME)
INSTALL_PC= $(INSTALL_PKGCONFIG)/$(INSTALL_PCNAME)

INSTALL_DIRS= $(INSTALL_BIN) $(INSTALL_LIB) $(INSTALL_INC) $(INSTALL_MAN) \
  $(INSTALL_PKGCONFIG) $(INSTALL_JITLIB) $(INSTALL_LMOD) $(INSTALL_CMOD)
UNINSTALL_DIRS= $(INSTALL_JITLIB) $(INSTALL_LJLIBD) $(INSTALL_INC) \
  $(INSTALL_LMOD) $(INSTALL_LMODD) $(INSTALL_CMOD) $(INSTALL_CMODD)

RM= rm -f
MKDIR= mkdir -p
RMDIR= rmdir 2>/dev/null
SYMLINK= ln -sf
INSTALL_X= install -m 0755
INSTALL_F= install -m 0644
UNINSTALL= $(RM)
LDCONFIG= ldconfig -n
SED_PC= sed -e "s|^prefix=.*|prefix=$(PREFIX)|" \
            -e "s|^multilib=.*|multilib=$(MULTILIB)|"

FILE_T= luajit
FILE_A= libluajit.a
FILE_SO= libluajit.so
FILE_MAN= luajit.1
FILE_PC= luajit.pc
FILES_INC= lua.h lualib.h lauxlib.h luaconf.h lua.hpp luajit.h
FILES_JITLIB= bc.lua v.lua dump.lua dis_x86.lua dis_x64.lua dis_arm.lua \
	      dis_ppc.lua dis_mips.lua dis_mipsel.lua bcsave.lua vmdef.lua

ifeq (,$(findstring Windows,$(OS)))
  ifeq (Darwin,$(shell uname -s))
    INSTALL_SONAME= $(INSTALL_DYLIBNAME)
    INSTALL_SHORT1= $(INSTALL_LIB)/$(INSTALL_DYLIBSHORT1)
    INSTALL_SHORT2= $(INSTALL_LIB)/$(INSTALL_DYLIBSHORT2)
    LDCONFIG= :
  endif
endif

##############################################################################

INSTALL_DEP= src/luajit

default all $(INSTALL_DEP):
	@echo "==== Building LuaJIT $(VERSION) ===="
	$(MAKE) -C src
	@echo "==== Successfully built LuaJIT $(VERSION) ===="

install: $(INSTALL_DEP)
	@echo "==== Installing LuaJIT $(VERSION) to $(PREFIX) ===="
	$(MKDIR) $(INSTALL_DIRS)
	cd src && $(INSTALL_X) $(FILE_T) $(INSTALL_T)
	cd src && test -f $(FILE_A) && $(INSTALL_F) $(FILE_A) $(INSTALL_STATIC) || :
	$(RM) $(INSTALL_TSYM) $(INSTALL_DYN) $(INSTALL_SHORT1) $(INSTALL_SHORT2)
	cd src && test -f $(FILE_SO) && \
	  $(INSTALL_X) $(FILE_SO) $(INSTALL_DYN) && \
	  $(LDCONFIG) $(INSTALL_LIB) && \
	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT1) && \
	  $(SYMLINK) $(INSTALL_SONAME) $(INSTALL_SHORT2) || :
	cd etc && $(INSTALL_F) $(FILE_MAN) $(INSTALL_MAN)
	cd etc && $(SED_PC) $(FILE_PC) > $(FILE_PC).tmp && \
	  $(INSTALL_F) $(FILE_PC).tmp $(INSTALL_PC) && \
	  $(RM) $(FILE_PC).tmp
	cd src && $(INSTALL_F) $(FILES_INC) $(INSTALL_INC)
	cd src/jit && $(INSTALL_F) $(FILES_JITLIB) $(INSTALL_JITLIB)
	$(SYMLINK) $(INSTALL_TNAME) $(INSTALL_TSYM)
	@echo "==== Successfully installed LuaJIT $(VERSION) to $(PREFIX) ===="

uninstall:
	@echo "==== Uninstalling LuaJIT $(VERSION) from $(PREFIX) ===="
	$(UNINSTALL) $(INSTALL_TSYM) $(INSTALL_T) $(INSTALL_STATIC) $(INSTALL_DYN) $(INSTALL_SHORT1) $(INSTALL_SHORT2) $(INSTALL_MAN)/$(FILE_MAN) $(INSTALL_PC)
	for file in $(FILES_JITLIB); do \
	  $(UNINSTALL) $(INSTALL_JITLIB)/$$file; \
	  done
	for file in $(FILES_INC); do \
	  $(UNINSTALL) $(INSTALL_INC)/$$file; \
	  done
	$(LDCONFIG) $(INSTALL_LIB)
	$(RMDIR) $(UNINSTALL_DIRS) || :
	@echo "==== Successfully uninstalled LuaJIT $(VERSION) from $(PREFIX) ===="

##############################################################################

amalg:
	@echo "Building LuaJIT $(VERSION)"
	$(MAKE) -C src amalg

clean:
	$(MAKE) -C src clean

.PHONY: all install amalg clean

##############################################################################

=== tools/lighttpd_mod_generator/Makefile ===
#
# Makefile for building the lighttpd mod_generator enabled version
# of lighttpd.
#
#  Licensed to the Apache Software Foundation (ASF) under one
#  or more contributor license agreements.  See the NOTICE file
#  distributed with this work for additional information
#  regarding copyright ownership.  The ASF licenses this file
#  to you under the Apache License, Version 2.0 (the
#  "License"); you may not use this file except in compliance
#  with the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

VERSION=1.4.35

all: mod_generator.so

lighttpd:
	if [ ! -f lighttpd-$(VERSION).tar.bz2 ]; then wget http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-$(VERSION).tar.bz2; fi
	if [ ! -d lighttpd-$(VERSION) ]; then tar xjf lighttpd-$(VERSION).tar.bz2; fi
	cd lighttpd-$(VERSION); ./configure --prefix=/usr/local --without-bzip2
	cd lighttpd-$(VERSION); gmake

mod_generator.so: mod_generator.c lighttpd
	gcc -shared -DHAVE_CONFIG_H -DLIBRARY_DIR=\"/usr/local/lib64\" -DSBIN_DIR=\"/usr/local/sbin\" -I. -I.. -D_REENTRANT -D__EXTENSIONS__ -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES -g -O2 -Wall -W -Wshadow -pedantic -std=gnu99 -MTmod_scgi.lo -MD -MP mod_generator.c  -fPIC -DPIC -I lighttpd-$(VERSION)/src/ -I lighttpd-$(VERSION)/ -o mod_generator.so

clean:
	rm -rf lighttpd-$(VERSION).tar.bz2 lighttpd-$(VERSION) mod_generator.so

=== plugins/experimental/ats_pagespeed/Makefile ===
#  Licensed to the Apache Software Foundation (ASF) under one
#  or more contributor license agreements.  See the NOTICE file
#  distributed with this work for additional information
#  regarding copyright ownership.  The ASF licenses this file
#  to you under the Apache License, Version 2.0 (the
#  "License"); you may not use this file except in compliance
#  with the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

SHELL := /bin/bash
TSXS?=tsxs
# Specify BUILDTYPE=Debug for a debug build
BUILDTYPE?=Release
MOD_PAGESPEED_DIR=$(shell pwd)/psol/include/
PAGESPEED_OUT=$(shell pwd)/psol/lib/$(BUILDTYPE)/linux/x64/


os_name=unknown_os
arch_name=ia32
uname_os=$(shell uname)
uname_arch=$(shell uname -m)

ifeq ($(uname_os),Linux)
  os_name=linux
endif

ifeq ($(uname_arch), x86_64)
  arch_name=x64
endif
ifeq ($(uname_arch), amd64)
  arch_name=x64
endif

INC =-I$(MOD_PAGESPEED_DIR)\
 -I$(MOD_PAGESPEED_DIR)third_party/chromium/src/\
 -I$(MOD_PAGESPEED_DIR)third_party/google-sparsehash/src\
 -I$(MOD_PAGESPEED_DIR)third_party/google-sparsehash/gen/arch/$(os_name)/$(arch_name)/include\
 -I$(MOD_PAGESPEED_DIR)third_party/protobuf/src\
 -I$(MOD_PAGESPEED_DIR)third_party/re2/src\
 -I$(MOD_PAGESPEED_DIR)third_party/out/$(BUILDTYPE)/obj/gen\
 -I$(MOD_PAGESPEED_DIR)third_party/apr/src/include/\
 -I$(MOD_PAGESPEED_DIR)third_party/aprutil/src/include/\
 -I$(MOD_PAGESPEED_DIR)third_party/apr/gen/arch/$(os_name)/$(arch_name)/include/\
 -I$(MOD_PAGESPEED_DIR)third_party/aprutil/gen/arch/$(os_name)/$(arch_name)/include/\
 -I$(MOD_PAGESPEED_DIR)out/$(BUILDTYPE)/obj/gen\
 -I$(MOD_PAGESPEED_DIR)out/$(BUILDTYPE)/obj/gen/protoc_out/instaweb

PSOL_LIBS = $(PAGESPEED_OUT)pagespeed_automatic.a 
#PSOL_LIBS = $(PAGESPEED_OUT)pagespeed_automatic.a $(PAGESPEED_OUT)libserf.a $(PAGESPEED_OUT)libaprutil.a $(PAGESPEED_OUT)libapr.a

%.so: psol %.cc
# https://github.com/pagespeed/ngx_pagespeed/issues/433: it would be nice to have -Wall -Werror, only suppressing when needed.
	g++ $(INC) -shared -o ats_pagespeed.so -g -pipe -O3 -fpic *.cc -lstdc++ -lstdc++  -lpthread $(PSOL_LIBS) -lrt

all: psol gzip/gzip.so ats_pagespeed.so

1.8.31.4.tar.gz:
	wget --no-check-certificate https://dl.google.com/dl/page-speed/psol/1.8.31.4.tar.gz

psol/: 1.8.31.4.tar.gz
	tar -xzvf 1.8.31.4.tar.gz

gzip/gzip.so:
	cd gzip && make

install: all
	$(TSXS) -i -o ats_pagespeed.so
	cd gzip && make install

cleanpsol:
	rm -rf psol/
	rm *.gz

clean:
	rm -f *.lo *.so *.o
	rm -f gzip/*.lo gzip/*.so gzip/*.o

=== lib/ck/regressions/ck_cohort/benchmark/Makefile ===
.PHONY: all clean

OBJECTS=ck_cohort.THROUGHPUT ck_cohort.LATENCY

all: $(OBJECTS)

ck_cohort.THROUGHPUT: ck_cohort.c
	$(CC) $(CFLAGS) -o ck_cohort.THROUGHPUT throughput.c -lm

ck_cohort.LATENCY: ck_cohort.c
	$(CC) -DLATENCY $(CFLAGS) -o ck_cohort.LATENCY ck_cohort.c

clean:
	rm -rf *.dSYM *.exe $(OBJECTS)

include ../../../build/regressions.build
CFLAGS+=$(PTHREAD_CFLAGS) -D_GNU_SOURCE -lm

=== lib/ck/regressions/ck_cohort/validate/Makefile ===
.PHONY: check clean distribution

OBJECTS=validate

all: $(OBJECTS)

validate: validate.c ../../../include/ck_cohort.h
	$(CC) $(CFLAGS) -o validate validate.c

check: all
	./validate `expr $(CORES) / 2` 2 1

clean:
	rm -rf *.dSYM *.exe *~ *.o $(OBJECTS)

include ../../../build/regressions.build
CFLAGS+=$(PTHREAD_CFLAGS) -D_GNU_SOURCE

=== lib/ck/regressions/ck_epoch/validate/Makefile ===
.PHONY: check clean distribution

OBJECTS=ck_stack ck_epoch_synchronize ck_epoch_poll ck_epoch_call
HALF=`expr $(CORES) / 2`

all: $(OBJECTS)

check: all
	./ck_stack $(CORES) 1
	./ck_epoch_synchronize $(HALF) $(HALF) 1
	./ck_epoch_poll $(CORES) 1 1

ck_epoch_synchronize: ck_epoch_synchronize.c ../../../include/ck_stack.h ../../../include/ck_epoch.h ../../../src/ck_epoch.c
	$(CC) $(CFLAGS) -o ck_epoch_synchronize ck_epoch_synchronize.c ../../../src/ck_epoch.c

ck_epoch_poll: ck_epoch_poll.c ../../../include/ck_stack.h ../../../include/ck_epoch.h ../../../src/ck_epoch.c
	$(CC) $(CFLAGS) -o ck_epoch_poll ck_epoch_poll.c ../../../src/ck_epoch.c

ck_epoch_call: ck_epoch_call.c ../../../include/ck_stack.h ../../../include/ck_epoch.h ../../../src/ck_epoch.c
	$(CC) $(CFLAGS) -o ck_epoch_call ck_epoch_call.c ../../../src/ck_epoch.c

ck_stack: ck_stack.c ../../../include/ck_stack.h ../../../include/ck_epoch.h ../../../src/ck_epoch.c
	$(CC) $(CFLAGS) -o ck_stack ck_stack.c ../../../src/ck_epoch.c

clean:
	rm -rf *~ *.o $(OBJECTS) *.dSYM *.exe

include ../../../build/regressions.build
CFLAGS+=$(PTHREAD_CFLAGS) -D_GNU_SOURCE

=== lib/ck/regressions/ck_ring/validate/Makefile ===
.PHONY: check clean distribution

OBJECTS=ck_ring_spsc ck_ring_spmc ck_ring_spmc_template
SIZE=16384

all: $(OBJECTS)

check: all
	./ck_ring_spsc $(CORES) 1 $(SIZE)
	./ck_ring_spmc $(CORES) 1 $(SIZE)

ck_ring_spsc: ck_ring_spsc.c ../../../include/ck_ring.h
	$(CC) $(CFLAGS) -o ck_ring_spsc ck_ring_spsc.c \
		../../../src/ck_barrier_centralized.c

ck_ring_spmc: ck_ring_spmc.c ../../../include/ck_ring.h
	$(CC) $(CFLAGS) -o ck_ring_spmc ck_ring_spmc.c \
		../../../src/ck_barrier_centralized.c

ck_ring_spmc_template: ck_ring_spmc_template.c ../../../include/ck_ring.h
	$(CC) $(CFLAGS) -o ck_ring_spmc_template ck_ring_spmc_template.c \
		../../../src/ck_barrier_centralized.c

clean:
	rm -rf *~ *.o $(OBJECTS) *.dSYM *.exe

include ../../../build/regressions.build
CFLAGS+=$(PTHREAD_CFLAGS) -D_GNU_SOURCE

=== lib/ck/regressions/ck_sequence/validate/Makefile ===
.PHONY: check clean distribution

OBJECTS=ck_sequence

all: $(OBJECTS)

ck_sequence: ck_sequence.c ../../../include/ck_sequence.h
	$(CC) $(CFLAGS) -o ck_sequence ck_sequence.c

check: all
	./ck_sequence $(CORES) 1

clean:
	rm -rf *~ *.o $(OBJECTS) *.dSYM *.exe

include ../../../build/regressions.build
CFLAGS+=$(PTHREAD_CFLAGS) -D_GNU_SOURCE

=== lib/ck/regressions/ck_spinlock/validate/Makefile ===
.PHONY: check clean

all: ck_ticket ck_mcs ck_dec ck_cas ck_fas ck_clh linux_spinlock \
     ck_ticket_pb ck_anderson ck_spinlock ck_hclh

check: all
	./ck_ticket $(CORES) 1
	./ck_mcs $(CORES) 1
	./ck_dec $(CORES) 1
	./ck_cas $(CORES) 1
	./ck_fas $(CORES) 1
	./ck_clh $(CORES) 1
	./linux_spinlock $(CORES) 1
	./ck_ticket_pb $(CORES) 1
	./ck_anderson $(CORES) 1
	./ck_spinlock $(CORES) 1

linux_spinlock: linux_spinlock.c
	$(CC) $(CFLAGS) -o linux_spinlock linux_spinlock.c

ck_spinlock: ck_spinlock.c
	$(CC) $(CFLAGS) -o ck_spinlock ck_spinlock.c

ck_ticket_pb: ck_ticket_pb.c
	$(CC) $(CFLAGS) -o ck_ticket_pb ck_ticket_pb.c

ck_clh: ck_clh.c
	$(CC) $(CFLAGS) -o ck_clh ck_clh.c

ck_hclh: ck_hclh.c
	$(CC) $(CFLAGS) -o ck_hclh ck_hclh.c

ck_anderson: ck_anderson.c
	$(CC) $(CFLAGS) -o ck_anderson ck_anderson.c

ck_fas: ck_fas.c
	$(CC) $(CFLAGS) -o ck_fas ck_fas.c

ck_ticket: ck_ticket.c
	$(CC) $(CFLAGS) -o ck_ticket ck_ticket.c

ck_cas: ck_cas.c
	$(CC) $(CFLAGS) -o ck_cas ck_cas.c

ck_mcs: ck_mcs.c
	$(CC) $(CFLAGS) -o ck_mcs ck_mcs.c

ck_dec: ck_dec.c
	$(CC) $(CFLAGS) -o ck_dec ck_dec.c

clean:
	rm -rf ck_ticket ck_mcs ck_dec ck_cas ck_fas ck_clh linux_spinlock ck_ticket_pb \
		ck_anderson ck_spinlock ck_hclh *.dSYM *.exe

include ../../../build/regressions.build
CFLAGS+=$(PTHREAD_CFLAGS) -D_GNU_SOURCE -lm

=== debian/changelog ===
trafficserver (5.3.0-2ubuntu2) xenial; urgency=medium

  * Rebuild for libmysqlclient20.
  * d/p/0001-Use-mcx16-on-x86-platforms-only.patch: taken from
    trafficserver 6.1.1-1 to fix FTBFS on ppc64el.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 18 Apr 2016 08:14:30 +0000

trafficserver (5.3.0-2ubuntu1) wily; urgency=low

  * Resynchronize on Debian unstable. (LP: #1476470) Remaining changes:
    - debian/patches/fix_TS-3806.patch:
      + Fix FTBFS with DSO Linking.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 18 Aug 2015 23:31:17 +0200

trafficserver (5.3.0-2) unstable; urgency=medium

  * Avoid installing tslua.so on archs built without LuaJIT
    (Closes: #770353)

 -- Aron Xu <aron@debian.org>  Thu, 11 Jun 2015 15:28:39 +0800

trafficserver (5.3.0-1) unstable; urgency=medium

  * Imported Upstream version 5.3.0
    - CVE-2014-10022: remote DoS
  * Remove fix_TS3316_i386_build patch
  * Fix traffic_wccp build, missing OpenSSL symbol
  * Add experimental plugin generator
  * Format patch for TS-3632
  * Update Uploader field in d/control

 -- Jean Baptiste Favre <jbfavre@debian.org>  Wed, 03 Jun 2015 20:06:13 +0200

trafficserver (5.2.0-2) unstable; urgency=medium

  * Disable LuaJIT for arm64

 -- Aron Xu <aron@debian.org>  Sat, 28 Feb 2015 23:51:00 +0800

trafficserver (5.2.0-1) unstable; urgency=medium

  [ Jean Baptiste Favre ]
  * New upstream release.
  * Add support for following experimental modules:
    - epic
    - header_normalize
    - mysql_remap
    - ssl_cert_loader
    - sslheaders
  * Remove missing file related to removed traffic_shell
  * Backport patch for TS-3316 to solve i386 build issue
  * Fix misconfigured call to dh_makeshlibs (used system dir instead
    of temporary build one)

  [ Aron Xu ]
  * Enable all hardening features.
  * Update copyright file.

 -- Aron Xu <aron@debian.org>  Thu, 12 Feb 2015 22:22:44 +0100

trafficserver (5.1.1-1) unstable; urgency=medium

  * New upstream release. This release includes fixes for these security
    related vulnerabilities:
    - CVE-2014-3566: Do not enable SSL3 by default
    - CVE-2014-3624: Ensure remap requests are properly tunneled using CONNECT
      requests to avoid an open relay
  * Add support for ppc64el, patch merged upstream (Closes: #754134, #754808)
  * Fix "ftbfs on kfreebsd" by conditionally building healthchecks.so on Linux
    only. Patch supplied by Steven Chamberlain, thanks (Closes: #767287)

 -- Arno Töll <arno@debian.org>  Sun, 02 Nov 2014 12:40:44 -1100

trafficserver (5.1.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.6 (no changes needed)

  [Jean Baptiste Favre]
  * Add a debug package with debug symbols for those who need it.
  * Split out experimental trafficserver plugins into a separate package so
    that users are aware of their experimental character before using them.
  * Add a libhwloc b-d so that ATS has a better idea about the underlying
    hardware it runs at to improve the runtime performance

 -- Arno Töll <arno@debian.org>  Wed, 08 Oct 2014 23:50:49 -1100

=== debian/control ===
Source: trafficserver
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Arno Töll <arno@debian.org>
Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
  libpcre3-dev, libtool, libaio-dev [linux-any], libcap-dev [linux-any],
  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config,
  libgeoip-dev, liblua5.1-0-dev, dh-autoreconf, libboost-dev, python-sphinx,
  libhwloc-dev, libmysqlclient-dev
Standards-Version: 3.9.6
Homepage: http://trafficserver.apache.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/trafficserver.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trafficserver.git;a=summary

Package: trafficserver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
  ${perl:Depends}
Provides: trafficserver-plugin-conf-remap
Replaces: trafficserver-plugin-conf-remap (<< 3.2~)
Suggests: trafficserver-experimental-plugins (= ${binary:Version})
Breaks: trafficserver-plugin-conf-remap (<< 3.2~)
Description: fast, scalable and extensible HTTP/1.1 compliant caching proxy server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well. Apache Traffic Server
 supports:
 .
   * Caching: Improves response time by caching and reusing frequently-
     requested web content.
   * Proxying: Supports filtering, anonymization, load balancing and more.
   * Scaling: Scales well on modern SMP hardware.
   * Extensions: Use the API to modify anything from the HTTP headers to your
     own cache algorithm.

Package: trafficserver-experimental-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: trafficserver (= ${binary:Version})
Breaks: trafficserver (<< 5.0.1-2~)
Description: experimental plugins for Apache Traffic Server
 This package provides the Apache Traffic Server. A fast, scalable reverse
 proxy server which may operate as forward proxy as well.
 .
 This package provides experimental plugins: authproxy, channel stats,
 combo handler, custom_redirect, esi, geoip acl, healthchecks, lua, metalink,
 rfc5861, spdy and tcp info.

Package: trafficserver-dev
Architecture: any
Depends: ${misc:Depends}
Suggests: trafficserver (= ${binary:Version})
Description: Apache Traffic Server Software Developers Kit (SDK)
 This package provides the Apache Traffic Server Software  Developers Kit.
 This is a collection of development header and bindings for the C programming
 language, the tsxs linking helper and examples to write your own plug-ins for
 the Apache Traffic Server.

Package: trafficserver-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, trafficserver (= ${binary:Version})
Description: debug symbols for Apache Traffic Server
 Apache Traffic Server is a fast, scalable and extensible HTTP/1.1 compliant
 caching proxy server which may operate as forward proxy as well.
 This package  contains the debugging symbols for trafficserver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Get build architecture. ./configure is different on Linux
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

configure_flags = \
	--enable-layout=Debian \
	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
	--libexecdir=/usr/lib/trafficserver/modules \
	--with-user=root --with-group=root --disable-silent-rules \
	--enable-experimental-plugins --enable-reclaimable-freelist\
        $(shell dpkg-buildflags --export=configure)

ifeq ($(DEB_HOST_ARCH_OS),linux)
	configure_flags += --enable-wccp --enable-linux-native-aio
endif

ifneq (,$(findstring $(DEB_BUILD_ARCH),arm64 mips mipsel mipsn32 mipsn32el mips64 mips64el ppc64el))
	configure_flags += --disable-luajit
endif

%:
	dh $@ --parallel --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

override_dh_auto_install:
	dh_auto_install -- INSTALLDIRS=vendor
	rm -f debian/tmp/usr/bin/trafficserver # We install our own
	# Satisfy §10.2 (http://wiki.debian.org/ReleaseGoals/LAFileRemoval)
	rm -f debian/tmp/usr/lib/trafficserver/lib*.la
	rm -f debian/tmp/usr/lib/trafficserver/modules/*.la
	rm -f debian/tmp/usr/lib/trafficserver/lib*.a
ifneq ($(DEB_HOST_ARCH_OS),linux)
	# Remove Linux-specific plugin
	sed -i '/\/healthchecks\.so$$/d' \
		debian/trafficserver-experimental-plugins.install
endif

override_dh_install:
ifneq (,$(findstring $(DEB_BUILD_ARCH),arm64 mips mipsel mipsn32 mipsn32el mips64 mips64el ppc64el))
	sed -i '/\/tslua\.so$$/d' $(CURDIR)/debian/trafficserver-experimental-plugins.install
endif
	dh_install --list-missing
	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config

override_dh_fixperms:
	dh_fixperms -X etc/trafficserver -X var/lib/trafficserver \
		-X var/log/trafficserver -X /var/cache/trafficserver \
		-X var/run/trafficserver

override_dh_installexamples:
	dh_installexamples -X Makefile -X.deps -X.la -X.lo

override_dh_makeshlibs:
	dh_makeshlibs -Xdebian/tmp/usr/lib/trafficserver

override_dh_auto_test:
	-dh_auto_test

override_dh_strip:
	dh_strip --dbg-package=trafficserver-dbg

## trafficserver 6.0.0

=== debian/changelog ===
trafficserver (6.0.0-2) unstable; urgency=medium

  * Re-enable 32-bit builds
  * Add some optional build dependencies
  * Use -O3 by default

 -- Aron Xu <aron@debian.org>  Sat, 31 Oct 2015 03:05:20 +0800

trafficserver (6.0.0-1) unstable; urgency=medium

  [ Aron Xu ]
  * Avoid possible-missing-colon-in-closes

  [ Jean Baptiste Favre ]
  * Imported Upstream version 6.0.0
  * Update experimental plugins list
    - Remove channel_stats
    - Add cache promote cache_promote.so
    - Add cache ranage request cache_range_requests.so
    - Add mp4 streaming media mp4.so
    - Add Stream editor stream_editor.so

 -- Aron Xu <aron@debian.org>  Sat, 10 Oct 2015 11:19:19 +0200

trafficserver (5.3.1-1) unstable; urgency=medium

  [ Arno Töll ]
  * Add proxy.config.admin.user_id setting

  [ Aron Xu ]
  * Add myself back to Uploaders
  * Use dh compat 9

  [ Jean Baptiste Favre ]
  * Imported Upstream version 5.3.1
  * Removed patch for TS-3632 (merged upstream)
  * Upstream changes allow ftbfs with GCC-5 (Closes: #778148)

 --  Jean Baptiste Favre <debian@jbfavre.org>  Sat, 04 Jul 2015 23:20:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: trafficserver
 Section: web
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Arno Töll <arno@debian.org>
-Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
-Build-Depends: debhelper (>= 8.0), libssl-dev, tcl-dev, libexpat1-dev,
+Priority: optional
+Maintainer: Arno Töll <arno@debian.org>
+Uploaders: Aron Xu <aron@debian.org>, Jean Baptiste Favre <debian@jbfavre.org>
+Build-Depends: debhelper (>= 9), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libaio-dev [linux-any], libcap-dev [linux-any],
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config,
   libgeoip-dev, liblua5.1-0-dev, dh-autoreconf, libboost-dev, python-sphinx,
-  libhwloc-dev, libmysqlclient-dev
+  libhwloc-dev, libmysqlclient-dev, libxml2-dev, libunwind8-dev [i386 amd64 ppc64el armhf arm64]
 Standards-Version: 3.9.6
 Homepage: http://trafficserver.apache.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/trafficserver.git

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -O3
+export DEB_CXXFLAGS_MAINT_APPEND = -O3
 
 # Get build architecture. ./configure is different on Linux
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
@@ -16,6 +18,7 @@
 	--libexecdir=/usr/lib/trafficserver/modules \
 	--with-user=root --with-group=root --disable-silent-rules \
 	--enable-experimental-plugins --enable-reclaimable-freelist\
+	--enable-32bit-build \
         $(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)

## trafficserver 6.1.0

=== debian/changelog ===
trafficserver (6.1.0-1) unstable; urgency=medium

  * New upstream release
  * Use -mcx16 on x86 platforms only (Closes: #805124)

 -- Aron Xu <aron@debian.org>  Tue, 02 Feb 2016 12:18:10 +0800

trafficserver (6.0.0-3) unstable; urgency=medium

  * Update d/NEWS & d/README.Debian with 32-bit upstream support drop

 -- Jean Baptiste Favre <debian@jbfavre.org>  Mon, 14 Dec 2015 10:48:20 +0100

=== debian/control ===
--- 
+++ 
@@ -55,12 +55,3 @@
  This is a collection of development header and bindings for the C programming
  language, the tsxs linking helper and examples to write your own plug-ins for
  the Apache Traffic Server.
-
-Package: trafficserver-dbg
-Architecture: any
-Section: debug
-Depends: ${misc:Depends}, trafficserver (= ${binary:Version})
-Description: debug symbols for Apache Traffic Server
- Apache Traffic Server is a fast, scalable and extensible HTTP/1.1 compliant
- caching proxy server which may operate as forward proxy as well.
- This package  contains the debugging symbols for trafficserver.

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,3 @@
 
 override_dh_auto_test:
 	-dh_auto_test
-
-override_dh_strip:
-	dh_strip --dbg-package=trafficserver-dbg

## trafficserver 6.1.1

=== plugins/experimental/ats_pagespeed/gzip/Makefile ===
#  Licensed to the Apache Software Foundation (ASF) under one
#  or more contributor license agreements.  See the NOTICE file
#  distributed with this work for additional information
#  regarding copyright ownership.  The ASF licenses this file
#  to you under the Apache License, Version 2.0 (the
#  "License"); you may not use this file except in compliance
#  with the License.  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

TSXS?=tsxs

all:
	$(TSXS) -o gzip.so -v -C *.cc
install: 
	$(TSXS) -v -i -o gzip.so
clean:
	rm -f *.lo *.so

=== debian/changelog ===
trafficserver (6.1.1-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:03:42 +0000

trafficserver (6.1.1-1) unstable; urgency=medium

  * Imported Upstream version 6.1.1
  * Update d/watch for gpg signature check

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 06 Feb 2016 10:37:41 +0100

## trafficserver 6.2.0

=== debian/changelog ===
trafficserver (6.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Require libssl-dev (>= 1.0.2j-1~)

 -- Aron Xu <aron@debian.org>  Wed, 05 Oct 2016 00:16:09 +0800

trafficserver (6.2.0-1) unstable; urgency=medium

  * Add upstream gpg keys for uscan pgpsigurlmangle option
  * Imported Upstream version 6.2.0
  * Patch refresh for 6.2.0
  * Update trafficserver manpages list
  * Update trafficserver install list
  * Update trafficserver-experimental-plugins install list
  * Update build dependencies (Add libmariadbclient-dev in experimental)
  * Bump standards version

 -- Jean Baptiste Favre <debian@jbfavre.org>  Sat, 23 Jul 2016 19:15:58 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
   libpcre3-dev, libtool, libaio-dev [linux-any], libcap-dev [linux-any],
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config,
   libgeoip-dev, liblua5.1-0-dev, dh-autoreconf, libboost-dev, python-sphinx,
-  libhwloc-dev, libmysqlclient-dev, libxml2-dev, libunwind8-dev [i386 amd64 ppc64el armhf arm64]
-Standards-Version: 3.9.6
+  libhwloc-dev, libmysqlclient-dev | libmariadbclient-dev, libxml2-dev, libunwind8-dev [i386 amd64 ppc64el armhf arm64], libssl-dev (>= 1.0.2j-1~)
+Standards-Version: 3.9.8
 Homepage: http://trafficserver.apache.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/trafficserver.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trafficserver.git;a=summary

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://www.apache.org/dist//trafficserver/trafficserver-(\d+\.\d+.\d+)\.tar\.bz2 debian uupdate

## trafficserver 7.0.0

=== debian/changelog ===
trafficserver (7.0.0-4build1) zesty; urgency=medium

  * Rebuild against new imagemagick 6.9.7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Jan 2017 13:36:08 +0100

trafficserver (7.0.0-4) unstable; urgency=medium

  * Add Conflicts for file overwrites (Closes: #850775)

 -- Aron Xu <aron@debian.org>  Wed, 11 Jan 2017 14:49:15 +0800

trafficserver (7.0.0-3) unstable; urgency=medium

  * Fix documentation build for  docutils >= 0.13 (Closes: #848800)
  * Update LuaJIT patches serie to fallback using Lua if LuaJIT not found
  * Update luajit patch.
    - Remove hardcoded value
    - Add luajit dynamic detection

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 04 Jan 2017 15:13:43 +0100

trafficserver (7.0.0-2) unstable; urgency=medium

  * Add patches to use system luajit and not the internal one any more
  * Update d/rules to remove luajit exception.

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 25 Nov 2016 17:51:25 +0100

trafficserver (7.0.0-1) unstable; urgency=medium

  [ Arno Töll ]
  * Remove myself as maintainer. Thanks to Aron and Jean Baptiste for stepping
    in on my place and keeping the package up to date. It makes the confident
    the package is in good hands now.

  [ Jean Baptiste Favre ]
  * New upstream release 7.0.0
  * Patches refresh for 7.0.0
  * Update plugins list
  * Update build dependencies
  * Add pkgconfig .pc file in trafficserver-dev package
  * Enable experimental plugins webp_transform
  * Enable traffic_top build (Closes: #836126)
  * Remove Linux AIO support (Closes: #803661, #836124)
  * Fix FTBFS for mips64el (Closes: #830856)
  * Add patch to make the build reproductible (Closes: #833176)

  [ Aron Xu ]
  * Set myself as Maintainer at the moment
  * Build-Depends on default-libmysqlclient-dev

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 16 Nov 2016 09:48:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: trafficserver
 Section: web
 Priority: optional
-Maintainer: Arno Töll <arno@debian.org>
-Uploaders: Aron Xu <aron@debian.org>, Jean Baptiste Favre <debian@jbfavre.org>
-Build-Depends: debhelper (>= 9), libssl-dev, tcl-dev, libexpat1-dev,
-  libpcre3-dev, libtool, libaio-dev [linux-any], libcap-dev [linux-any],
+Maintainer: Aron Xu <aron@debian.org>
+Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
+Build-Depends: debhelper (>= 9), libssl1.0-dev | libssl-dev (>= 1.0.2j-1~), tcl-dev, libexpat1-dev,
+  libpcre3-dev, libtool, libcap-dev [linux-any],
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config,
-  libgeoip-dev, liblua5.1-0-dev, dh-autoreconf, libboost-dev, python-sphinx,
-  libhwloc-dev, libmysqlclient-dev | libmariadbclient-dev, libxml2-dev, libunwind8-dev [i386 amd64 ppc64el armhf arm64], libssl-dev (>= 1.0.2j-1~)
+  libgeoip-dev, libluajit-5.1-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-i386 mips mipsel powerpc],
+  liblua5.1-0-dev, dh-autoreconf, libboost-dev, python-sphinx,
+  libhwloc-dev, default-libmysqlclient-dev | libmysqlclient-dev | libmariadbclient-dev,
+  libxml2-dev, libunwind8-dev [i386 amd64 ppc64el armhf arm64], libmagick++-dev,
+  libncurses5-dev, libcurl4-openssl-dev
 Standards-Version: 3.9.8
 Homepage: http://trafficserver.apache.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/trafficserver.git
@@ -18,9 +21,11 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14), adduser,
   ${perl:Depends}
 Provides: trafficserver-plugin-conf-remap
-Replaces: trafficserver-plugin-conf-remap (<< 3.2~)
+Replaces: trafficserver-plugin-conf-remap (<< 3.2~),
+ trafficserver-experimental-plugins (<< 7.0.0)
 Suggests: trafficserver-experimental-plugins (= ${binary:Version})
-Breaks: trafficserver-plugin-conf-remap (<< 3.2~)
+Breaks: trafficserver-plugin-conf-remap (<< 3.2~),
+ trafficserver-experimental-plugins (<< 7.0.0~)
 Description: fast, scalable and extensible HTTP/1.1 compliant caching proxy server
  This package provides the Apache Traffic Server. A fast, scalable reverse
  proxy server which may operate as forward proxy as well. Apache Traffic Server
@@ -37,7 +42,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Pre-Depends: trafficserver (= ${binary:Version})
-Breaks: trafficserver (<< 5.0.1-2~)
+Breaks: trafficserver (<< 7.0.0~)
 Description: experimental plugins for Apache Traffic Server
  This package provides the Apache Traffic Server. A fast, scalable reverse
  proxy server which may operate as forward proxy as well.

=== debian/rules ===
--- 
+++ 
@@ -22,11 +22,7 @@
         $(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	configure_flags += --enable-wccp --enable-linux-native-aio
-endif
-
-ifneq (,$(findstring $(DEB_BUILD_ARCH),arm64 mips mipsel mipsn32 mipsn32el mips64 mips64el ppc64el))
-	configure_flags += --disable-luajit
+	configure_flags += --enable-wccp
 endif
 
 %:
@@ -49,9 +45,6 @@
 endif
 
 override_dh_install:
-ifneq (,$(findstring $(DEB_BUILD_ARCH),arm64 mips mipsel mipsn32 mipsn32el mips64 mips64el ppc64el))
-	sed -i '/\/tslua\.so$$/d' $(CURDIR)/debian/trafficserver-experimental-plugins.install
-endif
 	dh_install --list-missing
 	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config

## trafficserver 7.1.1

=== debian/changelog ===
trafficserver (7.1.1-1) unstable; urgency=medium

  * Fix trafficserver-dev dependencies. (Closes: #877457)
  * Fix d/gbp.conf. Remove duplicate filter option
  * Update standards version in d/control
  * Fix debian-rules-sets-dpkg-architecture-variable lintian warning
  * Fix debian-watch-uses-insecure-uri lintian info
  * Update d/patches
  * Update d/rules to reflect healthcheck being managed as a stable plugin
  * Add a patch to fix kfreebsd build
  * Add a patch to fix arm build
  * New upstream version 7.1.0
  * Remove broken 0008-fix_build_armel patch
  * Patches refresh for 7.1.0
  * Add new patch to fix build with luajit 2.1 (Closes: #873328)
  * Update experimental modules list
  * Update Debian Standards-Version & d/compat
  * Update Vcs-* fields to use secure communication
  * Lintian fix for d/NEWS
  * Add new build option to use system luajit
  * Update build dependencies (Closes: #859750)
  * Fix lintian warning in d/copyright
  * New upstream version 7.1.1
  * Patches refresh for 7.1.1

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 02 Jan 2018 13:30:43 +0100

trafficserver (7.0.0-5) unstable; urgency=medium

  * Add patch to fix arm* build. (Closes: #857389)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 22 Mar 2017 09:31:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Aron Xu <aron@debian.org>
 Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
-Build-Depends: debhelper (>= 9), libssl1.0-dev | libssl-dev (>= 1.0.2j-1~), tcl-dev, libexpat1-dev,
+Build-Depends: debhelper (>= 10), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any],
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config,
   libgeoip-dev, libluajit-5.1-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-i386 mips mipsel powerpc],
-  liblua5.1-0-dev, dh-autoreconf, libboost-dev, python-sphinx,
-  libhwloc-dev, default-libmysqlclient-dev | libmysqlclient-dev | libmariadbclient-dev,
-  libxml2-dev, libunwind8-dev [i386 amd64 ppc64el armhf arm64], libmagick++-dev,
+  liblua5.3-dev, libboost-dev, python-sphinx, libhwloc-dev, default-libmysqlclient-dev,
+  libxml2-dev, libunwind-dev [i386 amd64 ppc64el armhf arm64], libmagick++-dev,
   libncurses5-dev, libcurl4-openssl-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://trafficserver.apache.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/trafficserver.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trafficserver.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/trafficserver.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/trafficserver.git;a=summary
 
 Package: trafficserver
 Architecture: any
@@ -53,8 +52,7 @@
 
 Package: trafficserver-dev
 Architecture: any
-Depends: ${misc:Depends}
-Suggests: trafficserver (= ${binary:Version})
+Depends: ${misc:Depends}, trafficserver (= ${binary:Version})
 Description: Apache Traffic Server Software Developers Kit (SDK)
  This package provides the Apache Traffic Server Software  Developers Kit.
  This is a collection of development header and bindings for the C programming

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND = -O3
 
 # Get build architecture. ./configure is different on Linux
-DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+include /usr/share/dpkg/architecture.mk
 
 configure_flags = \
 	--enable-layout=Debian \
@@ -18,7 +17,7 @@
 	--libexecdir=/usr/lib/trafficserver/modules \
 	--with-user=root --with-group=root --disable-silent-rules \
 	--enable-experimental-plugins --enable-reclaimable-freelist\
-	--enable-32bit-build \
+	--enable-32bit-build --enable-system-luajit \
         $(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -41,7 +40,7 @@
 ifneq ($(DEB_HOST_ARCH_OS),linux)
 	# Remove Linux-specific plugin
 	sed -i '/\/healthchecks\.so$$/d' \
-		debian/trafficserver-experimental-plugins.install
+		debian/trafficserver.install
 endif
 
 override_dh_install:

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://www.apache.org/dist/trafficserver/trafficserver-(\d+\.\d+.\d+)\.tar\.bz2 debian uupdate

## trafficserver 7.1.2+ds

=== plugins/experimental/ats_pagespeed/Makefile ===
--- 
+++ 
@@ -61,11 +61,11 @@
 
 all: psol gzip/gzip.so ats_pagespeed.so
 
-1.8.31.4.tar.gz:
-	wget --no-check-certificate https://dl.google.com/dl/page-speed/psol/1.8.31.4.tar.gz
+1.9.32.3.tar.gz:
+	wget --no-check-certificate https://dl.google.com/dl/page-speed/psol/1.9.32.3.tar.gz
 
-psol/: 1.8.31.4.tar.gz
-	tar -xzvf 1.8.31.4.tar.gz
+psol/: 1.9.32.3.tar.gz
+	tar -xzvf 1.9.32.3.tar.gz
 
 gzip/gzip.so:
 	cd gzip && make

=== debian/changelog ===
trafficserver (7.1.2+ds-3) unstable; urgency=medium

  * Add upstream changelog file to trafficserver package
  * Add systemd units file
  * Fix documentation. Update links
  * Update d/rules to remove examples binary files from package

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 16 Feb 2018 15:05:07 +0100

trafficserver (7.1.2+ds-2) unstable; urgency=medium

  * Drop patch for lua source code removal (Handled with repack)
  * Drop patch for documentation build (merged upstream)
  * Add a patch to make man pages being built
  * Update d/compat
  * Fix lintian warnings
  * Update d/rule to fix lintian warning.
  * Disable auto_test (again)
  * Install CHANGELOG file in /usr/share/doc
  * Enable documentation built (if not, man pages aren't either)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Thu, 25 Jan 2018 23:38:51 +0100

trafficserver (7.1.2+ds-1) unstable; urgency=medium

  * New upstream version 7.1.2+ds
  * Update d/patches for 7.1.2+ds
  * Update build dependencies
  * Update compilation flags
  * Enable experimental plugin cache_key_genid

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 16 Jan 2018 18:18:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Aron Xu <aron@debian.org>
 Uploaders: Jean Baptiste Favre <debian@jbfavre.org>
-Build-Depends: debhelper (>= 10), libssl-dev, tcl-dev, libexpat1-dev,
+Build-Depends: debhelper (>= 11), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any],
-  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config,
-  libgeoip-dev, libluajit-5.1-dev [amd64 armel armhf hurd-i386 i386 kfreebsd-i386 mips mipsel powerpc],
-  liblua5.3-dev, libboost-dev, python-sphinx, libhwloc-dev, default-libmysqlclient-dev,
+  bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
+  libluajit-5.1-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el],
+  libboost-dev, python-sphinx, libhwloc-dev, default-libmysqlclient-dev,
   libxml2-dev, libunwind-dev [i386 amd64 ppc64el armhf arm64], libmagick++-dev,
-  libncurses5-dev, libcurl4-openssl-dev
+  libncurses5-dev, libcurl4-openssl-dev, libkyotocabinet-dev, libmemcached-dev, libbrotli-dev
 Standards-Version: 4.1.3
 Homepage: http://trafficserver.apache.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/trafficserver.git
@@ -47,7 +47,7 @@
  proxy server which may operate as forward proxy as well.
  .
  This package provides experimental plugins: authproxy, channel stats,
- combo handler, custom_redirect, esi, geoip acl, healthchecks, lua, metalink,
+ combo handler, custom_redirect, esi, geoip acl, healthchecks, Lua, metalink,
  rfc5861, spdy and tcp info.
 
 Package: trafficserver-dev

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,9 @@
 	--sysconfdir=/etc/trafficserver --libdir=/usr/lib/trafficserver \
 	--libexecdir=/usr/lib/trafficserver/modules \
 	--with-user=root --with-group=root --disable-silent-rules \
-	--enable-experimental-plugins --enable-reclaimable-freelist\
-	--enable-32bit-build --enable-system-luajit \
+	--enable-experimental-plugins --enable-32bit-build \
+	--enable-mime-sanity-check --enable-system-luajit \
+	--enable-docs \
         $(shell dpkg-buildflags --export=configure)
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -25,7 +26,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_flags)
@@ -44,16 +45,27 @@
 endif
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
+	dh_missing --list-missing
 	./debian/change_config.pl debian/trafficserver/etc/trafficserver/records.config
+	# Lintian fixes
+	mkdir -p debian/trafficserver/usr/share/doc/trafficserver
+	cat CHANGELOG-* >> debian/trafficserver/usr/share/doc/trafficserver/changelog
+	#rm debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/ssl-preaccept/ssl_preaccept.config
+	#(cd debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/ssl-preaccept/; \
+	#ln -s ssl_preaccept.config ssl_sni.config)
 
 override_dh_fixperms:
-	dh_fixperms -X etc/trafficserver -X var/lib/trafficserver \
-		-X var/log/trafficserver -X /var/cache/trafficserver \
-		-X var/run/trafficserver
+	dh_fixperms -Xetc/trafficserver \
+		    -Xvar/lib/trafficserver \
+		    -Xvar/log/trafficserver \
+		    -Xvar/cache/trafficserver \
+		    -Xvar/run/trafficserver
+	# Fix lintian warning
+	chmod -x debian/trafficserver-dev/usr/share/doc/trafficserver-dev/examples/remap_header_add/build.txt
 
 override_dh_installexamples:
-	dh_installexamples -X Makefile -X.deps -X.la -X.lo
+	dh_installexamples -XMakefile -X.libs -X.dirstamp -X.deps -X.la -X.lo
 
 override_dh_makeshlibs:
 	dh_makeshlibs -Xdebian/tmp/usr/lib/trafficserver

## trafficserver 7.1.3+ds

=== debian/changelog ===
trafficserver (7.1.3+ds-3) unstable; urgency=medium

  * Add systemd tmpfile support (LP: #1756207)
  * Update Build-Depends (Closes: #887503)

 -- Jean Baptiste Favre <debian@jbfavre.org>  Wed, 13 Jun 2018 22:39:58 +0200

trafficserver (7.1.3+ds-2) unstable; urgency=medium

  * Update build-deps to libncurses6
  * Update patch to fix arm* builds

 -- Jean Baptiste Favre <debian@jbfavre.org>  Fri, 18 May 2018 17:25:22 +0200

trafficserver (7.1.3+ds-1) unstable; urgency=medium

  * Update Vcs URLs. Replace alioth with salsa
  * Add patch to make documentation build with python3. Fix lintian warning
  * New upstream version 7.1.3+ds
  * Update d/gbp.conf
  * Patches refresh for 7.1.3
  * Add a patch to fix doc build outside of git repository
  * Update standards version
  * Remove chown command from postinst script. Fix lintian warning

 -- Jean Baptiste Favre <debian@jbfavre.org>  Tue, 24 Apr 2018 10:17:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Build-Depends: debhelper (>= 11), libssl-dev, tcl-dev, libexpat1-dev,
   libpcre3-dev, libtool, libcap-dev [linux-any],
   bison [linux-any], flex [linux-any], dpkg-dev (>= 1.16.1~), pkg-config, libgeoip-dev,
-  libluajit-5.1-dev [amd64 arm64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mips64el mipsel powerpc ppc64 ppc64el],
-  libboost-dev, python-sphinx, libhwloc-dev, default-libmysqlclient-dev,
+  libluajit-5.1-dev, libboost-dev, libhwloc-dev, default-libmysqlclient-dev,
+  python3-sphinx [!kfreebsd-any], python-sphinx [kfreebsd-any],
   libxml2-dev, libunwind-dev [i386 amd64 ppc64el armhf arm64], libmagick++-dev,
-  libncurses5-dev, libcurl4-openssl-dev, libkyotocabinet-dev, libmemcached-dev, libbrotli-dev
-Standards-Version: 4.1.3
+  libncurses-dev, libcurl4-openssl-dev, libkyotocabinet-dev, libmemcached-dev, libbrotli-dev
+Standards-Version: 4.1.4
 Homepage: http://trafficserver.apache.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/trafficserver.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/trafficserver.git;a=summary
+Vcs-Git: https://salsa.debian.org/debian/trafficserver.git
+Vcs-Browser: https://salsa.debian.org/debian/trafficserver
 
 Package: trafficserver
 Architecture: any
